Get a server's billing summary
curl --request GET \
--url https://my.server.express/api/v1/dedicated/{id}/metadata \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/dedicated/{id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/dedicated/{id}/metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"orderDate": "2023-11-07T05:31:56Z",
"deploymentDate": "2023-11-07T05:31:56Z",
"nextDueDate": "2023-11-07T05:31:56Z",
"price": 123,
"currency": "GBP",
"billingCycle": "monthly",
"status": "ACTIVE",
"addons": [
{
"name": "<string>",
"quantity": 123,
"price": 123,
"currency": "<string>",
"billingCycle": "<string>"
}
],
"addonTotal": 123,
"totalRecurring": 123,
"invoices": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"status": "DRAFT",
"total": 123,
"currency": "<string>",
"date": "2023-11-07T05:31:56Z"
}
]
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Dedicated
Get a server's billing summary
Order and deployment dates, recurring price, active add-ons and the 10 most recent invoices touching this server. All amounts are minor units. Needs billing access (owner or team ADMIN).
GET
/
v1
/
dedicated
/
{id}
/
metadata
Get a server's billing summary
curl --request GET \
--url https://my.server.express/api/v1/dedicated/{id}/metadata \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://my.server.express/api/v1/dedicated/{id}/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.server.express/api/v1/dedicated/{id}/metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"data": {
"orderDate": "2023-11-07T05:31:56Z",
"deploymentDate": "2023-11-07T05:31:56Z",
"nextDueDate": "2023-11-07T05:31:56Z",
"price": 123,
"currency": "GBP",
"billingCycle": "monthly",
"status": "ACTIVE",
"addons": [
{
"name": "<string>",
"quantity": 123,
"price": 123,
"currency": "<string>",
"billingCycle": "<string>"
}
],
"addonTotal": 123,
"totalRecurring": 123,
"invoices": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"number": "<string>",
"status": "DRAFT",
"total": 123,
"currency": "<string>",
"date": "2023-11-07T05:31:56Z"
}
]
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Authorizations
bearerAuthapiToken
Session access token (JWT) from POST /v1/auth/login or /v1/auth/refresh. A session satisfies every API scope.
Path Parameters
The dedicated server's service id.